# fastqtl [options]

Hereafter, the complete list of options for FastQTL in order to map cisQTL.

Basic options | Description
--- | ---
--help -H | Print help about options.
--version -V | Print the FastQTL binary version.

Input file options | Description
--- | ---
--vcf file.vcf -V file.vcf -V file.vcf.gz | Genotypes in VCF 4.1 format Field DS is used as default for dosages. If no DS field is present, FQTL derives dosages from the GT field. Brief description here. Detailed description here. This file needs to be compressed with BGZIP and indexed with TABIX.
--bed file.bed -B file.bed -B file.bed.gz | Phenotypes in UCSC BED extended format. Brief description here. Detailed description here. This file needs to be compressed with BGZIP and indexed with TABIX.

Output file options | Description
--- | ---
--out file.results -O file.results.gz | Output file.
--log file.log -L file.log | Log file. It is basically a copy of the screen output. If this option is not provided, the software will generate one automatically with a UUID based filename.

Filtering options | Description
--- | ---
--exclude-samples file.exc --exclude-sites file.exc --exclude-phenotypes file.exc --exclude-covariates file.exc | To specify files containing all samples, variants, phenotypes or covariates to be excluded from the analysis.
--include-samples file.exc --include-sites file.exc --include-phenotypes file.exc --include-covariates file.exc | To specify files containing all samples, variants, phenotypes or covariates to be included from the analysis.

Method parameters | Description
--- | ---
--normal | To perform quantile normalization on the phenotype quantifications to make them normally distributed. Implemeted as the rntransform function of the GenABEL package. Can be found here.
--window [float] | Cis-window size. Default values is 1Mb (1e6). It means that all variants within 1e6 bp of the phenotype location (e.g. TSS) is analyzed.
--threshold [float] | To filter out all phenotype-variant pairs with a p-value above the specified threshold in the output of a nominal pass.
--permute [int] --permute [int] [int] | Perform permutations and report only best candidate QTL per MP. When one argument (=X) is given, a fixed number of permutations (=x) is performed. When two arguments are given (=X1 and X2), the adaptive permutation scheme is used and between X1 and X2 permutations are performed depending on the significance of the tested MP.
--seed | Random number generator seed. Useful to replicate runs of the software.

Parallelization | Description
--- | ---
--region chr:start-end -R 12:1000000-2000000 | Define a chunk of molecular phenotypes to be processed. Genotype data is automatically extracted given the phenotype region and the cis-window size.
--chunk [int] [int] | Specify which chunk of data needs to be processed. Needs two arguments (=X1, X2). Tells to FastQTL to process chunk X1 out of X2 chunks.
--commands [int] file.commands | Split the whole analysis in X jobs (first argument) and write the resulting X commands in file.commands.